Subject: [PATCH 13/14] arm: at91: dt: at91sam9 add nand pinctrl support

From: [email-masked] (Jean-Christophe PLAGNIOL-VILLARD)
Date: Mon, 20 Aug 2012 09:58:32 +0200

On 08:53 Fri 17 Aug     , Richard Genoud wrote:
> 2012/8/16 Jean-Christophe PLAGNIOL-VILLARD <[email-masked]>:
> >> Maybe it will be more readable if we use something like :
> >> atmel,pull-up;
> >> atmel,multidrive;
> >> atmel,mux="GPIO"
> >> atmel,mux="A"
> >> ...
> >> just my 2 cents...
> > no too much data and too much node as you will need a node per pin which we
> > tyr to avoid
> 
> One one hand we've got a DTS quite concise but unreadable, and on the
> other hand, something understandable but huge.
> ( and it's not specific to your patch Jean-Christophe, on imx6q.dtsi,
> it looks worse )
> I'm just trying to make sure that having a DTS like that :
> nand {
> 	pinctrl_nand: nand-0 {
> 		atmel,pins =
> 			<2 13 0x0 0x1   /* PC13 gpio RDY pin pull_up */
> 			2 14 0x0 0x1>; /* PC14 gpio enable pin pull_up */
> 	};
> };
> is better than :
> nand {
> 	pinctrl_nand: nand-0 {
> 		nand_rdy { atmel,bank = "C"; atmel,pin = <13>; atmel,mux = "GPIO";
> atmel,pull-up; };
> 		nand_ena { atmel,bank = "C"; atmel,pin = <14>; atmel,mux = "GPIO";
> atmel,pull-up; };
> 	};
> };
> It's what you did in 1st place on linux-at91 git, and I kinda liked it.
> But yeah, it's more verbose, and some lines will go beyond 80 columns,
> but that's already the case.
but as I explain you the DT must not have 1000s of not which we will have if
we do this. that's why I drop it

and soon we will have macro in DT so this will be more readable

Best Regards,
J.